gpgme/autogen.sh

101 lines
2.9 KiB
Bash
Raw Normal View History

2004-01-12 13:41:20 +00:00
#! /bin/sh
# Run this to generate all the initial makefiles, etc.
#
# Copyright (C) 2003 g10 Code GmbH
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure_ac="configure.ac"
cvtver () {
awk 'NR==1 {split($NF,A,".");X=1000000*A[1]+1000*A[2]+A[3];print X;exit 0}'
}
check_version () {
if [ `("$1" --version || echo "0") | cvtver` -ge "$2" ]; then
2004-01-12 13:41:20 +00:00
return 0
2000-12-29 10:34:34 +00:00
fi
2004-01-12 13:41:20 +00:00
echo "**Error**: "\`$1\'" not installed or too old." >&2
echo ' Version '$3' or newer is required.' >&2
[ -n "$4" ] && echo ' Note that this is part of '\`$4\''.' >&2
DIE="yes"
return 1
}
# Grep the required versions from configure.ac
autoconf_vers=`sed -n '/^AC_PREREQ(/ {
s/^.*(\(.*\))/\1/p
q
}' ${configure_ac}`
autoconf_vers_num=`echo "$autoconf_vers" | cvtver`
automake_vers=`sed -n '/^min_automake_version=/ {
s/^.*="\(.*\)"/\1/p
q
}' ${configure_ac}`
automake_vers_num=`echo "$automake_vers" | cvtver`
#gettext_vers=`sed -n '/^AM_GNU_GETTEXT_VERSION(/ {
#s/^.*(\(.*\))/\1/p
#q
#}' ${configure_ac}`
#gettext_vers_num=`echo "$gettext_vers" | cvtver`
if [ -z "$autoconf_vers" -o -z "$automake_vers" ]
then
echo "**Error**: version information not found in "\`${configure_ac}\'"." >&2
exit 1
2000-12-29 10:34:34 +00:00
fi
2004-01-12 13:41:20 +00:00
# Allow to override the default tool names
AUTOCONF=${AUTOCONF_PREFIX}${AUTOCONF:-autoconf}${AUTOCONF_SUFFIX}
AUTOHEADER=${AUTOCONF_PREFIX}${AUTOHEADER:-autoheader}${AUTOCONF_SUFFIX}
2000-12-29 10:34:34 +00:00
2004-01-12 13:41:20 +00:00
AUTOMAKE=${AUTOMAKE_PREFIX}${AUTOMAKE:-automake}${AUTOMAKE_SUFFIX}
ACLOCAL=${AUTOMAKE_PREFIX}${ACLOCAL:-aclocal}${AUTOMAKE_SUFFIX}
2000-12-29 10:34:34 +00:00
2004-01-12 13:41:20 +00:00
#GETTEXT=${GETTEXT_PREFIX}${GETTEXT:-gettext}${GETTEXT_SUFFIX}
#MSGMERGE=${GETTEXT_PREFIX}${MSGMERGE:-msgmerge}${GETTEXT_SUFFIX}
2000-12-29 10:34:34 +00:00
2004-01-12 13:41:20 +00:00
DIE=no
2000-12-29 10:34:34 +00:00
2004-01-12 13:41:20 +00:00
if check_version $AUTOCONF $autoconf_vers_num $autoconf_vers ; then
check_version $AUTOHEADER $autoconf_vers_num $autoconf_vers autoconf
fi
if check_version $AUTOMAKE $automake_vers_num $automake_vers; then
check_version $ACLOCAL $automake_vers_num $autoconf_vers automake
2000-12-29 10:34:34 +00:00
fi
2004-01-12 13:41:20 +00:00
#if check_version $GETTEXT $gettext_vers_num $gettext_vers; then
# check_version $MSGMERGE $gettext_vers_num $gettext_vers gettext
#fi
2000-12-29 10:34:34 +00:00
if test "$DIE" = "yes"; then
2004-01-12 13:41:20 +00:00
cat <<EOF
Note that you may use alternative versions of the tools by setting
the corresponding environment variables; see README.CVS for details.
EOF
2000-12-29 10:34:34 +00:00
exit 1
fi
echo "Running aclocal -I m4 ${ACLOCAL_FLAGS:+$ACLOCAL_FLAGS }..."
$ACLOCAL -I m4 $ACLOCAL_FLAGS
2000-12-29 10:34:34 +00:00
echo "Running autoheader..."
2004-01-12 13:41:20 +00:00
$AUTOHEADER
echo "Running automake --gnu ..."
$AUTOMAKE --gnu;
2000-12-29 10:34:34 +00:00
echo "Running autoconf..."
2004-01-12 13:41:20 +00:00
$AUTOCONF
echo "You may now run \"./configure --enable-maintainer-mode && make\"."